#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioData" "\0"
  /*   345 */ "AudioDecoder" "\0"
  /*   358 */ "AudioDestinationNode" "\0"
  /*   379 */ "AudioEncoder" "\0"
  /*   392 */ "AudioListener" "\0"
  /*   406 */ "AudioNode" "\0"
  /*   416 */ "AudioParam" "\0"
  /*   427 */ "AudioParamMap" "\0"
  /*   441 */ "AudioProcessingEvent" "\0"
  /*   462 */ "AudioScheduledSourceNode" "\0"
  /*   487 */ "AudioTrack" "\0"
  /*   498 */ "AudioTrackList" "\0"
  /*   513 */ "AudioWorklet" "\0"
  /*   526 */ "AudioWorkletGlobalScope" "\0"
  /*   550 */ "AudioWorkletNode" "\0"
  /*   567 */ "AudioWorkletProcessor" "\0"
  /*   589 */ "AuthenticatorAssertionResponse" "\0"
  /*   620 */ "AuthenticatorAttestationResponse" "\0"
  /*   653 */ "AuthenticatorResponse" "\0"
  /*   675 */ "BarProp" "\0"
  /*   683 */ "BaseAudioContext" "\0"
  /*   700 */ "BatteryManager" "\0"
  /*   715 */ "BeforeUnloadEvent" "\0"
  /*   733 */ "BiquadFilterNode" "\0"
  /*   750 */ "Blob" "\0"
  /*   755 */ "BlobEvent" "\0"
  /*   765 */ "BroadcastChannel" "\0"
  /*   782 */ "BrowsingContext" "\0"
  /*   798 */ "BrowsingContextGroup" "\0"
  /*   819 */ "ByteLengthQueuingStrategy" "\0"
  /*   845 */ "CDATASection" "\0"
  /*   858 */ "CSPViolationReportBody" "\0"
  /*   881 */ "CSS" "\0"
  /*   885 */ "CSS2Properties" "\0"
  /*   900 */ "CSSAnimation" "\0"
  /*   913 */ "CSSConditionRule" "\0"
  /*   930 */ "CSSContainerRule" "\0"
  /*   947 */ "CSSCounterStyleRule" "\0"
  /*   967 */ "CSSCustomPropertyRegisteredEvent" "\0"
  /*  1000 */ "CSSFontFaceRule" "\0"
  /*  1016 */ "CSSFontFeatureValuesRule" "\0"
  /*  1041 */ "CSSFontPaletteValuesRule" "\0"
  /*  1066 */ "CSSGroupingRule" "\0"
  /*  1082 */ "CSSImportRule" "\0"
  /*  1096 */ "CSSKeyframeRule" "\0"
  /*  1112 */ "CSSKeyframesRule" "\0"
  /*  1129 */ "CSSLayerBlockRule" "\0"
  /*  1147 */ "CSSLayerStatementRule" "\0"
  /*  1169 */ "CSSMarginRule" "\0"
  /*  1183 */ "CSSMediaRule" "\0"
  /*  1196 */ "CSSMozDocumentRule" "\0"
  /*  1215 */ "CSSNamespaceRule" "\0"
  /*  1232 */ "CSSNestedDeclarations" "\0"
  /*  1254 */ "CSSPageDescriptors" "\0"
  /*  1273 */ "CSSPageRule" "\0"
  /*  1285 */ "CSSPositionTryDescriptors" "\0"
  /*  1311 */ "CSSPositionTryRule" "\0"
  /*  1330 */ "CSSPropertyRule" "\0"
  /*  1346 */ "CSSPseudoElement" "\0"
  /*  1363 */ "CSSRule" "\0"
  /*  1371 */ "CSSRuleList" "\0"
  /*  1383 */ "CSSScopeRule" "\0"
  /*  1396 */ "CSSStartingStyleRule" "\0"
  /*  1417 */ "CSSStyleDeclaration" "\0"
  /*  1437 */ "CSSStyleRule" "\0"
  /*  1450 */ "CSSStyleSheet" "\0"
  /*  1464 */ "CSSSupportsRule" "\0"
  /*  1480 */ "CSSTransition" "\0"
  /*  1494 */ "Cache" "\0"
  /*  1500 */ "CacheStorage" "\0"
  /*  1513 */ "CallbackDebuggerNotification" "\0"
  /*  1542 */ "CanonicalBrowsingContext" "\0"
  /*  1567 */ "CanvasCaptureMediaStream" "\0"
  /*  1592 */ "CanvasGradient" "\0"
  /*  1607 */ "CanvasPattern" "\0"
  /*  1621 */ "CanvasRenderingContext2D" "\0"
  /*  1646 */ "CaretPosition" "\0"
  /*  1660 */ "CaretStateChangedEvent" "\0"
  /*  1683 */ "ChannelMergerNode" "\0"
  /*  1701 */ "ChannelSplitterNode" "\0"
  /*  1721 */ "ChannelWrapper" "\0"
  /*  1736 */ "CharacterData" "\0"
  /*  1750 */ "CheckerboardReportService" "\0"
  /*  1776 */ "ChildProcessMessageManager" "\0"
  /*  1803 */ "ChildSHistory" "\0"
  /*  1817 */ "ChromeMessageBroadcaster" "\0"
  /*  1842 */ "ChromeMessageSender" "\0"
  /*  1862 */ "ChromeNodeList" "\0"
  /*  1877 */ "ChromeUtils" "\0"
  /*  1889 */ "ChromeWorker" "\0"
  /*  1902 */ "Client" "\0"
  /*  1909 */ "Clients" "\0"
  /*  1917 */ "Clipboard" "\0"
  /*  1927 */ "ClipboardEvent" "\0"
  /*  1942 */ "ClipboardItem" "\0"
  /*  1956 */ "ClonedErrorHolder" "\0"
  /*  1974 */ "CloseEvent" "\0"
  /*  1985 */ "CloseWatcher" "\0"
  /*  1998 */ "CommandEvent" "\0"
  /*  2011 */ "Comment" "\0"
  /*  2019 */ "CompositionEvent" "\0"
  /*  2036 */ "CompressionStream" "\0"
  /*  2054 */ "ConsoleInstance" "\0"
  /*  2070 */ "ConstantSourceNode" "\0"
  /*  2089 */ "ContentFrameMessageManager" "\0"
  /*  2116 */ "ContentProcessMessageManager" "\0"
  /*  2145 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  2183 */ "ConvolverNode" "\0"
  /*  2197 */ "CookieChangeEvent" "\0"
  /*  2215 */ "CookieStore" "\0"
  /*  2227 */ "CookieStoreManager" "\0"
  /*  2246 */ "CountQueuingStrategy" "\0"
  /*  2267 */ "CreateOfferRequest" "\0"
  /*  2286 */ "Credential" "\0"
  /*  2297 */ "CredentialsContainer" "\0"
  /*  2318 */ "Crypto" "\0"
  /*  2325 */ "CryptoKey" "\0"
  /*  2335 */ "CustomElementRegistry" "\0"
  /*  2357 */ "CustomEvent" "\0"
  /*  2369 */ "CustomStateSet" "\0"
  /*  2384 */ "DOMException" "\0"
  /*  2397 */ "DOMImplementation" "\0"
  /*  2415 */ "DOMLocalization" "\0"
  /*  2431 */ "DOMMatrix" "\0"
  /*  2441 */ "DOMMatrixReadOnly" "\0"
  /*  2459 */ "DOMParser" "\0"
  /*  2469 */ "DOMPoint" "\0"
  /*  2478 */ "DOMPointReadOnly" "\0"
  /*  2495 */ "DOMQuad" "\0"
  /*  2503 */ "DOMRect" "\0"
  /*  2511 */ "DOMRectList" "\0"
  /*  2523 */ "DOMRectReadOnly" "\0"
  /*  2539 */ "DOMStringList" "\0"
  /*  2553 */ "DOMStringMap" "\0"
  /*  2566 */ "DOMTokenList" "\0"
  /*  2579 */ "DataTransfer" "\0"
  /*  2592 */ "DataTransferItem" "\0"
  /*  2609 */ "DataTransferItemList" "\0"
  /*  2630 */ "DebuggerNotification" "\0"
  /*  2651 */ "DebuggerNotificationObserver" "\0"
  /*  2680 */ "DecompressionStream" "\0"
  /*  2700 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2727 */ "DelayNode" "\0"
  /*  2737 */ "DeprecationReportBody" "\0"
  /*  2759 */ "DeviceAcceleration" "\0"
  /*  2778 */ "DeviceLightEvent" "\0"
  /*  2795 */ "DeviceMotionEvent" "\0"
  /*  2813 */ "DeviceOrientationEvent" "\0"
  /*  2836 */ "DeviceRotationRate" "\0"
  /*  2855 */ "Directory" "\0"
  /*  2865 */ "Document" "\0"
  /*  2874 */ "DocumentFragment" "\0"
  /*  2891 */ "DocumentL10n" "\0"
  /*  2904 */ "DocumentTimeline" "\0"
  /*  2921 */ "DocumentType" "\0"
  /*  2934 */ "DominatorTree" "\0"
  /*  2948 */ "DragEvent" "\0"
  /*  2958 */ "DynamicsCompressorNode" "\0"
  /*  2981 */ "EXT_blend_minmax" "\0"
  /*  2998 */ "EXT_color_buffer_float" "\0"
  /*  3021 */ "EXT_color_buffer_half_float" "\0"
  /*  3049 */ "EXT_depth_clamp" "\0"
  /*  3065 */ "EXT_disjoint_timer_query" "\0"
  /*  3090 */ "EXT_float_blend" "\0"
  /*  3106 */ "EXT_frag_depth" "\0"
  /*  3121 */ "EXT_sRGB" "\0"
  /*  3130 */ "EXT_shader_texture_lod" "\0"
  /*  3153 */ "EXT_texture_compression_bptc" "\0"
  /*  3182 */ "EXT_texture_compression_rgtc" "\0"
  /*  3211 */ "EXT_texture_filter_anisotropic" "\0"
  /*  3242 */ "EXT_texture_norm16" "\0"
  /*  3261 */ "Element" "\0"
  /*  3269 */ "ElementInternals" "\0"
  /*  3286 */ "EncodedAudioChunk" "\0"
  /*  3304 */ "EncodedVideoChunk" "\0"
  /*  3322 */ "ErrorEvent" "\0"
  /*  3333 */ "Event" "\0"
  /*  3339 */ "EventCallbackDebuggerNotification" "\0"
  /*  3373 */ "EventCounts" "\0"
  /*  3385 */ "EventSource" "\0"
  /*  3397 */ "EventTarget" "\0"
  /*  3409 */ "Exception" "\0"
  /*  3419 */ "ExtendableCookieChangeEvent" "\0"
  /*  3447 */ "ExtendableEvent" "\0"
  /*  3463 */ "ExtendableMessageEvent" "\0"
  /*  3486 */ "ExtensionAlarms" "\0"
  /*  3502 */ "ExtensionBrowser" "\0"
  /*  3519 */ "ExtensionBrowserSettings" "\0"
  /*  3544 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3584 */ "ExtensionDns" "\0"
  /*  3597 */ "ExtensionEventManager" "\0"
  /*  3619 */ "ExtensionMockAPI" "\0"
  /*  3636 */ "ExtensionPort" "\0"
  /*  3650 */ "ExtensionProxy" "\0"
  /*  3665 */ "ExtensionRuntime" "\0"
  /*  3682 */ "ExtensionScripting" "\0"
  /*  3701 */ "ExtensionSetting" "\0"
  /*  3718 */ "ExtensionTest" "\0"
  /*  3732 */ "External" "\0"
  /*  3741 */ "FeaturePolicy" "\0"
  /*  3755 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3788 */ "FetchEvent" "\0"
  /*  3799 */ "FetchObserver" "\0"
  /*  3813 */ "File" "\0"
  /*  3818 */ "FileList" "\0"
  /*  3827 */ "FileReader" "\0"
  /*  3838 */ "FileReaderSync" "\0"
  /*  3853 */ "FileSystem" "\0"
  /*  3864 */ "FileSystemDirectoryEntry" "\0"
  /*  3889 */ "FileSystemDirectoryHandle" "\0"
  /*  3915 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3955 */ "FileSystemDirectoryIterator" "\0"
  /*  3983 */ "FileSystemDirectoryReader" "\0"
  /*  4009 */ "FileSystemEntry" "\0"
  /*  4025 */ "FileSystemFileEntry" "\0"
  /*  4045 */ "FileSystemFileHandle" "\0"
  /*  4066 */ "FileSystemHandle" "\0"
  /*  4083 */ "FileSystemSyncAccessHandle" "\0"
  /*  4110 */ "FileSystemWritableFileStream" "\0"
  /*  4139 */ "Flex" "\0"
  /*  4144 */ "FlexItemValues" "\0"
  /*  4159 */ "FlexLineValues" "\0"
  /*  4174 */ "FluentBundle" "\0"
  /*  4187 */ "FluentBundleAsyncIterator" "\0"
  /*  4213 */ "FluentBundleIterator" "\0"
  /*  4234 */ "FluentPattern" "\0"
  /*  4248 */ "FluentResource" "\0"
  /*  4263 */ "FocusEvent" "\0"
  /*  4274 */ "FontFace" "\0"
  /*  4283 */ "FontFaceSet" "\0"
  /*  4295 */ "FontFaceSetIterator" "\0"
  /*  4315 */ "FontFaceSetLoadEvent" "\0"
  /*  4336 */ "FormData" "\0"
  /*  4345 */ "FormData Iterator" "\0"
  /*  4363 */ "FormDataEvent" "\0"
  /*  4377 */ "FragmentDirective" "\0"
  /*  4395 */ "FrameCrashedEvent" "\0"
  /*  4413 */ "FrameLoader" "\0"
  /*  4425 */ "GPU" "\0"
  /*  4429 */ "GPUAdapter" "\0"
  /*  4440 */ "GPUAdapterInfo" "\0"
  /*  4455 */ "GPUBindGroup" "\0"
  /*  4468 */ "GPUBindGroupLayout" "\0"
  /*  4487 */ "GPUBuffer" "\0"
  /*  4497 */ "GPUBufferUsage" "\0"
  /*  4512 */ "GPUCanvasContext" "\0"
  /*  4529 */ "GPUColorWrite" "\0"
  /*  4543 */ "GPUCommandBuffer" "\0"
  /*  4560 */ "GPUCommandEncoder" "\0"
  /*  4578 */ "GPUCompilationInfo" "\0"
  /*  4597 */ "GPUCompilationMessage" "\0"
  /*  4619 */ "GPUComputePassEncoder" "\0"
  /*  4641 */ "GPUComputePipeline" "\0"
  /*  4660 */ "GPUDevice" "\0"
  /*  4670 */ "GPUDeviceLostInfo" "\0"
  /*  4688 */ "GPUError" "\0"
  /*  4697 */ "GPUExternalTexture" "\0"
  /*  4716 */ "GPUInternalError" "\0"
  /*  4733 */ "GPUMapMode" "\0"
  /*  4744 */ "GPUOutOfMemoryError" "\0"
  /*  4764 */ "GPUPipelineError" "\0"
  /*  4781 */ "GPUPipelineLayout" "\0"
  /*  4799 */ "GPUQuerySet" "\0"
  /*  4811 */ "GPUQueue" "\0"
  /*  4820 */ "GPURenderBundle" "\0"
  /*  4836 */ "GPURenderBundleEncoder" "\0"
  /*  4859 */ "GPURenderPassEncoder" "\0"
  /*  4880 */ "GPURenderPipeline" "\0"
  /*  4898 */ "GPUSampler" "\0"
  /*  4909 */ "GPUShaderModule" "\0"
  /*  4925 */ "GPUShaderStage" "\0"
  /*  4940 */ "GPUSupportedFeatures" "\0"
  /*  4961 */ "GPUSupportedLimits" "\0"
  /*  4980 */ "GPUTexture" "\0"
  /*  4991 */ "GPUTextureUsage" "\0"
  /*  5007 */ "GPUTextureView" "\0"
  /*  5022 */ "GPUUncapturedErrorEvent" "\0"
  /*  5046 */ "GPUValidationError" "\0"
  /*  5065 */ "GainNode" "\0"
  /*  5074 */ "Gamepad" "\0"
  /*  5082 */ "GamepadAxisMoveEvent" "\0"
  /*  5103 */ "GamepadButton" "\0"
  /*  5117 */ "GamepadButtonEvent" "\0"
  /*  5136 */ "GamepadEvent" "\0"
  /*  5149 */ "GamepadHapticActuator" "\0"
  /*  5171 */ "GamepadLightIndicator" "\0"
  /*  5193 */ "GamepadPose" "\0"
  /*  5205 */ "GamepadServiceTest" "\0"
  /*  5224 */ "GamepadTouch" "\0"
  /*  5237 */ "Geolocation" "\0"
  /*  5249 */ "GeolocationCoordinates" "\0"
  /*  5272 */ "GeolocationPosition" "\0"
  /*  5292 */ "GeolocationPositionError" "\0"
  /*  5317 */ "GetUserMediaRequest" "\0"
  /*  5337 */ "GleanBoolean" "\0"
  /*  5350 */ "GleanCategory" "\0"
  /*  5364 */ "GleanCounter" "\0"
  /*  5377 */ "GleanCustomDistribution" "\0"
  /*  5401 */ "GleanDatetime" "\0"
  /*  5415 */ "GleanDenominator" "\0"
  /*  5432 */ "GleanEvent" "\0"
  /*  5443 */ "GleanImpl" "\0"
  /*  5453 */ "GleanLabeled" "\0"
  /*  5466 */ "GleanMemoryDistribution" "\0"
  /*  5490 */ "GleanMetric" "\0"
  /*  5502 */ "GleanNumerator" "\0"
  /*  5517 */ "GleanObject" "\0"
  /*  5529 */ "GleanPingsImpl" "\0"
  /*  5544 */ "GleanQuantity" "\0"
  /*  5558 */ "GleanRate" "\0"
  /*  5568 */ "GleanString" "\0"
  /*  5580 */ "GleanStringList" "\0"
  /*  5596 */ "GleanText" "\0"
  /*  5606 */ "GleanTimespan" "\0"
  /*  5620 */ "GleanTimingDistribution" "\0"
  /*  5644 */ "GleanUrl" "\0"
  /*  5653 */ "GleanUuid" "\0"
  /*  5663 */ "Grid" "\0"
  /*  5668 */ "GridArea" "\0"
  /*  5677 */ "GridDimension" "\0"
  /*  5691 */ "GridLine" "\0"
  /*  5700 */ "GridLines" "\0"
  /*  5710 */ "GridTrack" "\0"
  /*  5720 */ "GridTracks" "\0"
  /*  5731 */ "HTMLAllCollection" "\0"
  /*  5749 */ "HTMLAnchorElement" "\0"
  /*  5767 */ "HTMLAreaElement" "\0"
  /*  5783 */ "HTMLAudioElement" "\0"
  /*  5800 */ "HTMLBRElement" "\0"
  /*  5814 */ "HTMLBaseElement" "\0"
  /*  5830 */ "HTMLBodyElement" "\0"
  /*  5846 */ "HTMLButtonElement" "\0"
  /*  5864 */ "HTMLCanvasElement" "\0"
  /*  5882 */ "HTMLCollection" "\0"
  /*  5897 */ "HTMLDListElement" "\0"
  /*  5914 */ "HTMLDataElement" "\0"
  /*  5930 */ "HTMLDataListElement" "\0"
  /*  5950 */ "HTMLDetailsElement" "\0"
  /*  5969 */ "HTMLDialogElement" "\0"
  /*  5987 */ "HTMLDirectoryElement" "\0"
  /*  6008 */ "HTMLDivElement" "\0"
  /*  6023 */ "HTMLDocument" "\0"
  /*  6036 */ "HTMLElement" "\0"
  /*  6048 */ "HTMLEmbedElement" "\0"
  /*  6065 */ "HTMLFieldSetElement" "\0"
  /*  6085 */ "HTMLFontElement" "\0"
  /*  6101 */ "HTMLFormControlsCollection" "\0"
  /*  6128 */ "HTMLFormElement" "\0"
  /*  6144 */ "HTMLFrameElement" "\0"
  /*  6161 */ "HTMLFrameSetElement" "\0"
  /*  6181 */ "HTMLHRElement" "\0"
  /*  6195 */ "HTMLHeadElement" "\0"
  /*  6211 */ "HTMLHeadingElement" "\0"
  /*  6230 */ "HTMLHtmlElement" "\0"
  /*  6246 */ "HTMLIFrameElement" "\0"
  /*  6264 */ "HTMLImageElement" "\0"
  /*  6281 */ "HTMLInputElement" "\0"
  /*  6298 */ "HTMLLIElement" "\0"
  /*  6312 */ "HTMLLabelElement" "\0"
  /*  6329 */ "HTMLLegendElement" "\0"
  /*  6347 */ "HTMLLinkElement" "\0"
  /*  6363 */ "HTMLMapElement" "\0"
  /*  6378 */ "HTMLMarqueeElement" "\0"
  /*  6397 */ "HTMLMediaElement" "\0"
  /*  6414 */ "HTMLMenuElement" "\0"
  /*  6430 */ "HTMLMetaElement" "\0"
  /*  6446 */ "HTMLMeterElement" "\0"
  /*  6463 */ "HTMLModElement" "\0"
  /*  6478 */ "HTMLOListElement" "\0"
  /*  6495 */ "HTMLObjectElement" "\0"
  /*  6513 */ "HTMLOptGroupElement" "\0"
  /*  6533 */ "HTMLOptionElement" "\0"
  /*  6551 */ "HTMLOptionsCollection" "\0"
  /*  6573 */ "HTMLOutputElement" "\0"
  /*  6591 */ "HTMLParagraphElement" "\0"
  /*  6612 */ "HTMLParamElement" "\0"
  /*  6629 */ "HTMLPictureElement" "\0"
  /*  6648 */ "HTMLPreElement" "\0"
  /*  6663 */ "HTMLProgressElement" "\0"
  /*  6683 */ "HTMLQuoteElement" "\0"
  /*  6700 */ "HTMLScriptElement" "\0"
  /*  6718 */ "HTMLSelectElement" "\0"
  /*  6736 */ "HTMLSlotElement" "\0"
  /*  6752 */ "HTMLSourceElement" "\0"
  /*  6770 */ "HTMLSpanElement" "\0"
  /*  6786 */ "HTMLStyleElement" "\0"
  /*  6803 */ "HTMLTableCaptionElement" "\0"
  /*  6827 */ "HTMLTableCellElement" "\0"
  /*  6848 */ "HTMLTableColElement" "\0"
  /*  6868 */ "HTMLTableElement" "\0"
  /*  6885 */ "HTMLTableRowElement" "\0"
  /*  6905 */ "HTMLTableSectionElement" "\0"
  /*  6929 */ "HTMLTemplateElement" "\0"
  /*  6949 */ "HTMLTextAreaElement" "\0"
  /*  6969 */ "HTMLTimeElement" "\0"
  /*  6985 */ "HTMLTitleElement" "\0"
  /*  7002 */ "HTMLTrackElement" "\0"
  /*  7019 */ "HTMLUListElement" "\0"
  /*  7036 */ "HTMLUnknownElement" "\0"
  /*  7055 */ "HTMLVideoElement" "\0"
  /*  7072 */ "HashChangeEvent" "\0"
  /*  7088 */ "Headers" "\0"
  /*  7096 */ "Headers Iterator" "\0"
  /*  7113 */ "HeapSnapshot" "\0"
  /*  7126 */ "Highlight" "\0"
  /*  7136 */ "HighlightRegistry" "\0"
  /*  7154 */ "History" "\0"
  /*  7162 */ "IDBCursor" "\0"
  /*  7172 */ "IDBCursorWithValue" "\0"
  /*  7191 */ "IDBDatabase" "\0"
  /*  7203 */ "IDBFactory" "\0"
  /*  7214 */ "IDBIndex" "\0"
  /*  7223 */ "IDBKeyRange" "\0"
  /*  7235 */ "IDBObjectStore" "\0"
  /*  7250 */ "IDBOpenDBRequest" "\0"
  /*  7267 */ "IDBRequest" "\0"
  /*  7278 */ "IDBTransaction" "\0"
  /*  7293 */ "IDBVersionChangeEvent" "\0"
  /*  7315 */ "IIRFilterNode" "\0"
  /*  7329 */ "IOUtils" "\0"
  /*  7337 */ "IdentityCredential" "\0"
  /*  7356 */ "IdleDeadline" "\0"
  /*  7369 */ "Image" "\0"
  /*  7375 */ "ImageBitmap" "\0"
  /*  7387 */ "ImageBitmapRenderingContext" "\0"
  /*  7415 */ "ImageCapture" "\0"
  /*  7428 */ "ImageCaptureError" "\0"
  /*  7446 */ "ImageCaptureErrorEvent" "\0"
  /*  7469 */ "ImageData" "\0"
  /*  7479 */ "ImageDecoder" "\0"
  /*  7492 */ "ImageDocument" "\0"
  /*  7506 */ "ImageTrack" "\0"
  /*  7517 */ "ImageTrackList" "\0"
  /*  7532 */ "InputEvent" "\0"
  /*  7543 */ "InspectorCSSParser" "\0"
  /*  7562 */ "InspectorFontFace" "\0"
  /*  7580 */ "InspectorUtils" "\0"
  /*  7595 */ "InstallTriggerImpl" "\0"
  /*  7614 */ "IntersectionObserver" "\0"
  /*  7635 */ "IntersectionObserverEntry" "\0"
  /*  7661 */ "IntlUtils" "\0"
  /*  7671 */ "InvokeEvent" "\0"
  /*  7683 */ "JSProcessActorChild" "\0"
  /*  7703 */ "JSProcessActorParent" "\0"
  /*  7724 */ "JSWindowActorChild" "\0"
  /*  7743 */ "JSWindowActorParent" "\0"
  /*  7763 */ "KeyEvent" "\0"
  /*  7772 */ "KeyboardEvent" "\0"
  /*  7786 */ "KeyframeEffect" "\0"
  /*  7801 */ "L10nFileSource" "\0"
  /*  7816 */ "L10nOverlays" "\0"
  /*  7829 */ "L10nRegistry" "\0"
  /*  7842 */ "LargestContentfulPaint" "\0"
  /*  7865 */ "LegacyMozTCPSocket" "\0"
  /*  7884 */ "Localization" "\0"
  /*  7897 */ "Location" "\0"
  /*  7906 */ "Lock" "\0"
  /*  7911 */ "LockManager" "\0"
  /*  7923 */ "MIDIAccess" "\0"
  /*  7934 */ "MIDIConnectionEvent" "\0"
  /*  7954 */ "MIDIInput" "\0"
  /*  7964 */ "MIDIInputMap" "\0"
  /*  7977 */ "MIDIMessageEvent" "\0"
  /*  7994 */ "MIDIOutput" "\0"
  /*  8005 */ "MIDIOutputMap" "\0"
  /*  8019 */ "MIDIPort" "\0"
  /*  8028 */ "MLS" "\0"
  /*  8032 */ "MLSGroupView" "\0"
  /*  8045 */ "MOZ_debug" "\0"
  /*  8055 */ "MatchGlob" "\0"
  /*  8065 */ "MatchPattern" "\0"
  /*  8078 */ "MatchPatternSet" "\0"
  /*  8094 */ "MathMLElement" "\0"
  /*  8108 */ "MediaCapabilities" "\0"
  /*  8126 */ "MediaControlService" "\0"
  /*  8146 */ "MediaController" "\0"
  /*  8162 */ "MediaDeviceInfo" "\0"
  /*  8178 */ "MediaDevices" "\0"
  /*  8191 */ "MediaElementAudioSourceNode" "\0"
  /*  8219 */ "MediaEncryptedEvent" "\0"
  /*  8239 */ "MediaError" "\0"
  /*  8250 */ "MediaKeyError" "\0"
  /*  8264 */ "MediaKeyMessageEvent" "\0"
  /*  8285 */ "MediaKeySession" "\0"
  /*  8301 */ "MediaKeyStatusMap" "\0"
  /*  8319 */ "MediaKeyStatusMap Iterator" "\0"
  /*  8346 */ "MediaKeySystemAccess" "\0"
  /*  8367 */ "MediaKeys" "\0"
  /*  8377 */ "MediaList" "\0"
  /*  8387 */ "MediaMetadata" "\0"
  /*  8401 */ "MediaQueryList" "\0"
  /*  8416 */ "MediaQueryListEvent" "\0"
  /*  8436 */ "MediaRecorder" "\0"
  /*  8450 */ "MediaRecorderErrorEvent" "\0"
  /*  8474 */ "MediaSession" "\0"
  /*  8487 */ "MediaSource" "\0"
  /*  8499 */ "MediaStream" "\0"
  /*  8511 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8543 */ "MediaStreamAudioSourceNode" "\0"
  /*  8570 */ "MediaStreamError" "\0"
  /*  8587 */ "MediaStreamEvent" "\0"
  /*  8604 */ "MediaStreamTrack" "\0"
  /*  8621 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8653 */ "MediaStreamTrackEvent" "\0"
  /*  8675 */ "MerchantValidationEvent" "\0"
  /*  8699 */ "MessageBroadcaster" "\0"
  /*  8718 */ "MessageChannel" "\0"
  /*  8733 */ "MessageEvent" "\0"
  /*  8746 */ "MessageListenerManager" "\0"
  /*  8769 */ "MessagePort" "\0"
  /*  8781 */ "MessageSender" "\0"
  /*  8795 */ "MimeType" "\0"
  /*  8804 */ "MimeTypeArray" "\0"
  /*  8818 */ "MouseEvent" "\0"
  /*  8829 */ "MouseScrollEvent" "\0"
  /*  8846 */ "MozCanvasPrintState" "\0"
  /*  8866 */ "MozDocumentMatcher" "\0"
  /*  8885 */ "MozDocumentObserver" "\0"
  /*  8905 */ "MozQueryInterface" "\0"
  /*  8923 */ "MozSharedMap" "\0"
  /*  8936 */ "MozSharedMap Iterator" "\0"
  /*  8958 */ "MozSharedMapChangeEvent" "\0"
  /*  8982 */ "MozStorageAsyncStatementParams" "\0"
  /*  9013 */ "MozStorageStatementParams" "\0"
  /*  9039 */ "MozStorageStatementRow" "\0"
  /*  9062 */ "MozWritableSharedMap" "\0"
  /*  9083 */ "MutationEvent" "\0"
  /*  9097 */ "MutationObserver" "\0"
  /*  9114 */ "MutationRecord" "\0"
  /*  9129 */ "NamedNodeMap" "\0"
  /*  9142 */ "NavigateEvent" "\0"
  /*  9156 */ "Navigation" "\0"
  /*  9167 */ "NavigationActivation" "\0"
  /*  9188 */ "NavigationCurrentEntryChangeEvent" "\0"
  /*  9222 */ "NavigationDestination" "\0"
  /*  9244 */ "NavigationHistoryEntry" "\0"
  /*  9267 */ "NavigationPreloadManager" "\0"
  /*  9292 */ "NavigationTransition" "\0"
  /*  9313 */ "Navigator" "\0"
  /*  9323 */ "NavigatorLogin" "\0"
  /*  9338 */ "NetworkInformation" "\0"
  /*  9357 */ "Node" "\0"
  /*  9362 */ "NodeFilter" "\0"
  /*  9373 */ "NodeIterator" "\0"
  /*  9386 */ "NodeList" "\0"
  /*  9395 */ "Notification" "\0"
  /*  9408 */ "NotificationEvent" "\0"
  /*  9426 */ "NotifyPaintEvent" "\0"
  /*  9443 */ "OES_draw_buffers_indexed" "\0"
  /*  9468 */ "OES_element_index_uint" "\0"
  /*  9491 */ "OES_fbo_render_mipmap" "\0"
  /*  9513 */ "OES_standard_derivatives" "\0"
  /*  9538 */ "OES_texture_float" "\0"
  /*  9556 */ "OES_texture_float_linear" "\0"
  /*  9581 */ "OES_texture_half_float" "\0"
  /*  9604 */ "OES_texture_half_float_linear" "\0"
  /*  9634 */ "OES_vertex_array_object" "\0"
  /*  9658 */ "OVR_multiview2" "\0"
  /*  9673 */ "OfflineAudioCompletionEvent" "\0"
  /*  9701 */ "OfflineAudioContext" "\0"
  /*  9721 */ "OffscreenCanvas" "\0"
  /*  9737 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9771 */ "Option" "\0"
  /*  9778 */ "OscillatorNode" "\0"
  /*  9793 */ "PageTransitionEvent" "\0"
  /*  9813 */ "PaintRequest" "\0"
  /*  9826 */ "PaintRequestList" "\0"
  /*  9843 */ "PaintWorkletGlobalScope" "\0"
  /*  9867 */ "PannerNode" "\0"
  /*  9878 */ "ParentProcessMessageManager" "\0"
  /*  9906 */ "Path2D" "\0"
  /*  9913 */ "PathUtils" "\0"
  /*  9923 */ "PaymentAddress" "\0"
  /*  9938 */ "PaymentMethodChangeEvent" "\0"
  /*  9963 */ "PaymentRequest" "\0"
  /*  9978 */ "PaymentRequestUpdateEvent" "\0"
  /* 10004 */ "PaymentResponse" "\0"
  /* 10020 */ "PeerConnectionImpl" "\0"
  /* 10039 */ "PeerConnectionObserver" "\0"
  /* 10062 */ "Performance" "\0"
  /* 10074 */ "PerformanceEntry" "\0"
  /* 10091 */ "PerformanceEntryEvent" "\0"
  /* 10113 */ "PerformanceEventTiming" "\0"
  /* 10136 */ "PerformanceMark" "\0"
  /* 10152 */ "PerformanceMeasure" "\0"
  /* 10171 */ "PerformanceNavigation" "\0"
  /* 10193 */ "PerformanceNavigationTiming" "\0"
  /* 10221 */ "PerformanceObserver" "\0"
  /* 10241 */ "PerformanceObserverEntryList" "\0"
  /* 10270 */ "PerformancePaintTiming" "\0"
  /* 10293 */ "PerformanceResourceTiming" "\0"
  /* 10319 */ "PerformanceServerTiming" "\0"
  /* 10343 */ "PerformanceTiming" "\0"
  /* 10361 */ "PeriodicWave" "\0"
  /* 10374 */ "PermissionStatus" "\0"
  /* 10391 */ "Permissions" "\0"
  /* 10403 */ "PlacesBookmark" "\0"
  /* 10418 */ "PlacesBookmarkAddition" "\0"
  /* 10441 */ "PlacesBookmarkChanged" "\0"
  /* 10463 */ "PlacesBookmarkGuid" "\0"
  /* 10482 */ "PlacesBookmarkKeyword" "\0"
  /* 10504 */ "PlacesBookmarkMoved" "\0"
  /* 10524 */ "PlacesBookmarkRemoved" "\0"
  /* 10546 */ "PlacesBookmarkTags" "\0"
  /* 10565 */ "PlacesBookmarkTime" "\0"
  /* 10584 */ "PlacesBookmarkTitle" "\0"
  /* 10604 */ "PlacesBookmarkUrl" "\0"
  /* 10622 */ "PlacesEvent" "\0"
  /* 10634 */ "PlacesEventCounts" "\0"
  /* 10652 */ "PlacesFavicon" "\0"
  /* 10666 */ "PlacesHistoryCleared" "\0"
  /* 10687 */ "PlacesObservers" "\0"
  /* 10703 */ "PlacesPurgeCaches" "\0"
  /* 10721 */ "PlacesRanking" "\0"
  /* 10735 */ "PlacesVisit" "\0"
  /* 10747 */ "PlacesVisitRemoved" "\0"
  /* 10766 */ "PlacesVisitTitle" "\0"
  /* 10783 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10809 */ "Plugin" "\0"
  /* 10816 */ "PluginArray" "\0"
  /* 10828 */ "PluginCrashedEvent" "\0"
  /* 10847 */ "PointerEvent" "\0"
  /* 10860 */ "PopStateEvent" "\0"
  /* 10874 */ "PopupBlockedEvent" "\0"
  /* 10892 */ "PopupPositionedEvent" "\0"
  /* 10913 */ "PositionStateEvent" "\0"
  /* 10932 */ "PrecompiledScript" "\0"
  /* 10950 */ "PrivateAttribution" "\0"
  /* 10969 */ "ProcessMessageManager" "\0"
  /* 10991 */ "ProcessingInstruction" "\0"
  /* 11013 */ "ProgressEvent" "\0"
  /* 11027 */ "PromiseDebugging" "\0"
  /* 11044 */ "PromiseNativeHandler" "\0"
  /* 11065 */ "PromiseRejectionEvent" "\0"
  /* 11087 */ "PublicKeyCredential" "\0"
  /* 11107 */ "PushEvent" "\0"
  /* 11117 */ "PushManager" "\0"
  /* 11129 */ "PushManagerImpl" "\0"
  /* 11145 */ "PushMessageData" "\0"
  /* 11161 */ "PushSubscription" "\0"
  /* 11178 */ "PushSubscriptionChangeEvent" "\0"
  /* 11206 */ "PushSubscriptionOptions" "\0"
  /* 11230 */ "RTCCertificate" "\0"
  /* 11245 */ "RTCDTMFSender" "\0"
  /* 11259 */ "RTCDTMFToneChangeEvent" "\0"
  /* 11282 */ "RTCDataChannel" "\0"
  /* 11297 */ "RTCDataChannelEvent" "\0"
  /* 11317 */ "RTCDtlsTransport" "\0"
  /* 11334 */ "RTCEncodedAudioFrame" "\0"
  /* 11355 */ "RTCEncodedVideoFrame" "\0"
  /* 11376 */ "RTCIceCandidate" "\0"
  /* 11392 */ "RTCIceTransport" "\0"
  /* 11408 */ "RTCIdentityProviderRegistrar" "\0"
  /* 11437 */ "RTCPeerConnection" "\0"
  /* 11455 */ "RTCPeerConnectionIceEvent" "\0"
  /* 11481 */ "RTCPeerConnectionStatic" "\0"
  /* 11505 */ "RTCRtpReceiver" "\0"
  /* 11520 */ "RTCRtpScriptTransform" "\0"
  /* 11542 */ "RTCRtpScriptTransformer" "\0"
  /* 11566 */ "RTCRtpSender" "\0"
  /* 11579 */ "RTCRtpTransceiver" "\0"
  /* 11597 */ "RTCSctpTransport" "\0"
  /* 11614 */ "RTCSessionDescription" "\0"
  /* 11636 */ "RTCStatsReport" "\0"
  /* 11651 */ "RTCTrackEvent" "\0"
  /* 11665 */ "RTCTransformEvent" "\0"
  /* 11683 */ "RadioNodeList" "\0"
  /* 11697 */ "Range" "\0"
  /* 11703 */ "ReadableByteStreamController" "\0"
  /* 11732 */ "ReadableStream" "\0"
  /* 11747 */ "ReadableStream AsyncIterator" "\0"
  /* 11776 */ "ReadableStreamBYOBReader" "\0"
  /* 11801 */ "ReadableStreamBYOBRequest" "\0"
  /* 11827 */ "ReadableStreamDefaultController" "\0"
  /* 11859 */ "ReadableStreamDefaultReader" "\0"
  /* 11887 */ "Report" "\0"
  /* 11894 */ "ReportBody" "\0"
  /* 11905 */ "ReportingObserver" "\0"
  /* 11923 */ "Request" "\0"
  /* 11931 */ "ResizeObserver" "\0"
  /* 11946 */ "ResizeObserverEntry" "\0"
  /* 11966 */ "ResizeObserverSize" "\0"
  /* 11985 */ "Response" "\0"
  /* 11994 */ "SVGAElement" "\0"
  /* 12006 */ "SVGAngle" "\0"
  /* 12015 */ "SVGAnimateElement" "\0"
  /* 12033 */ "SVGAnimateMotionElement" "\0"
  /* 12057 */ "SVGAnimateTransformElement" "\0"
  /* 12084 */ "SVGAnimatedAngle" "\0"
  /* 12101 */ "SVGAnimatedBoolean" "\0"
  /* 12120 */ "SVGAnimatedEnumeration" "\0"
  /* 12143 */ "SVGAnimatedInteger" "\0"
  /* 12162 */ "SVGAnimatedLength" "\0"
  /* 12180 */ "SVGAnimatedLengthList" "\0"
  /* 12202 */ "SVGAnimatedNumber" "\0"
  /* 12220 */ "SVGAnimatedNumberList" "\0"
  /* 12242 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 12273 */ "SVGAnimatedRect" "\0"
  /* 12289 */ "SVGAnimatedString" "\0"
  /* 12307 */ "SVGAnimatedTransformList" "\0"
  /* 12332 */ "SVGAnimationElement" "\0"
  /* 12352 */ "SVGCircleElement" "\0"
  /* 12369 */ "SVGClipPathElement" "\0"
  /* 12388 */ "SVGComponentTransferFunctionElement" "\0"
  /* 12424 */ "SVGDefsElement" "\0"
  /* 12439 */ "SVGDescElement" "\0"
  /* 12454 */ "SVGElement" "\0"
  /* 12465 */ "SVGEllipseElement" "\0"
  /* 12483 */ "SVGFEBlendElement" "\0"
  /* 12501 */ "SVGFEColorMatrixElement" "\0"
  /* 12525 */ "SVGFEComponentTransferElement" "\0"
  /* 12555 */ "SVGFECompositeElement" "\0"
  /* 12577 */ "SVGFEConvolveMatrixElement" "\0"
  /* 12604 */ "SVGFEDiffuseLightingElement" "\0"
  /* 12632 */ "SVGFEDisplacementMapElement" "\0"
  /* 12660 */ "SVGFEDistantLightElement" "\0"
  /* 12685 */ "SVGFEDropShadowElement" "\0"
  /* 12708 */ "SVGFEFloodElement" "\0"
  /* 12726 */ "SVGFEFuncAElement" "\0"
  /* 12744 */ "SVGFEFuncBElement" "\0"
  /* 12762 */ "SVGFEFuncGElement" "\0"
  /* 12780 */ "SVGFEFuncRElement" "\0"
  /* 12798 */ "SVGFEGaussianBlurElement" "\0"
  /* 12823 */ "SVGFEImageElement" "\0"
  /* 12841 */ "SVGFEMergeElement" "\0"
  /* 12859 */ "SVGFEMergeNodeElement" "\0"
  /* 12881 */ "SVGFEMorphologyElement" "\0"
  /* 12904 */ "SVGFEOffsetElement" "\0"
  /* 12923 */ "SVGFEPointLightElement" "\0"
  /* 12946 */ "SVGFESpecularLightingElement" "\0"
  /* 12975 */ "SVGFESpotLightElement" "\0"
  /* 12997 */ "SVGFETileElement" "\0"
  /* 13014 */ "SVGFETurbulenceElement" "\0"
  /* 13037 */ "SVGFilterElement" "\0"
  /* 13054 */ "SVGForeignObjectElement" "\0"
  /* 13078 */ "SVGGElement" "\0"
  /* 13090 */ "SVGGeometryElement" "\0"
  /* 13109 */ "SVGGradientElement" "\0"
  /* 13128 */ "SVGGraphicsElement" "\0"
  /* 13147 */ "SVGImageElement" "\0"
  /* 13163 */ "SVGLength" "\0"
  /* 13173 */ "SVGLengthList" "\0"
  /* 13187 */ "SVGLineElement" "\0"
  /* 13202 */ "SVGLinearGradientElement" "\0"
  /* 13227 */ "SVGMPathElement" "\0"
  /* 13243 */ "SVGMarkerElement" "\0"
  /* 13260 */ "SVGMaskElement" "\0"
  /* 13275 */ "SVGMatrix" "\0"
  /* 13285 */ "SVGMetadataElement" "\0"
  /* 13304 */ "SVGNumber" "\0"
  /* 13314 */ "SVGNumberList" "\0"
  /* 13328 */ "SVGPathElement" "\0"
  /* 13343 */ "SVGPathSegment" "\0"
  /* 13358 */ "SVGPatternElement" "\0"
  /* 13376 */ "SVGPoint" "\0"
  /* 13385 */ "SVGPointList" "\0"
  /* 13398 */ "SVGPolygonElement" "\0"
  /* 13416 */ "SVGPolylineElement" "\0"
  /* 13435 */ "SVGPreserveAspectRatio" "\0"
  /* 13458 */ "SVGRadialGradientElement" "\0"
  /* 13483 */ "SVGRect" "\0"
  /* 13491 */ "SVGRectElement" "\0"
  /* 13506 */ "SVGSVGElement" "\0"
  /* 13520 */ "SVGScriptElement" "\0"
  /* 13537 */ "SVGSetElement" "\0"
  /* 13551 */ "SVGStopElement" "\0"
  /* 13566 */ "SVGStringList" "\0"
  /* 13580 */ "SVGStyleElement" "\0"
  /* 13596 */ "SVGSwitchElement" "\0"
  /* 13613 */ "SVGSymbolElement" "\0"
  /* 13630 */ "SVGTSpanElement" "\0"
  /* 13646 */ "SVGTextContentElement" "\0"
  /* 13668 */ "SVGTextElement" "\0"
  /* 13683 */ "SVGTextPathElement" "\0"
  /* 13702 */ "SVGTextPositioningElement" "\0"
  /* 13728 */ "SVGTitleElement" "\0"
  /* 13744 */ "SVGTransform" "\0"
  /* 13757 */ "SVGTransformList" "\0"
  /* 13774 */ "SVGUnitTypes" "\0"
  /* 13787 */ "SVGUseElement" "\0"
  /* 13801 */ "SVGViewElement" "\0"
  /* 13816 */ "Sanitizer" "\0"
  /* 13826 */ "Scheduler" "\0"
  /* 13836 */ "Screen" "\0"
  /* 13843 */ "ScreenLuminance" "\0"
  /* 13859 */ "ScreenOrientation" "\0"
  /* 13877 */ "ScriptProcessorNode" "\0"
  /* 13897 */ "ScrollAreaEvent" "\0"
  /* 13913 */ "SecurityPolicyViolationEvent" "\0"
  /* 13942 */ "Selection" "\0"
  /* 13952 */ "ServiceWorker" "\0"
  /* 13966 */ "ServiceWorkerContainer" "\0"
  /* 13989 */ "ServiceWorkerGlobalScope" "\0"
  /* 14014 */ "ServiceWorkerRegistration" "\0"
  /* 14040 */ "SessionStoreFormData" "\0"
  /* 14061 */ "SessionStoreScrollData" "\0"
  /* 14084 */ "SessionStoreUtils" "\0"
  /* 14102 */ "ShadowRealmGlobalScope" "\0"
  /* 14125 */ "ShadowRoot" "\0"
  /* 14136 */ "SharedWorker" "\0"
  /* 14149 */ "SharedWorkerGlobalScope" "\0"
  /* 14173 */ "SimpleGestureEvent" "\0"
  /* 14192 */ "SourceBuffer" "\0"
  /* 14205 */ "SourceBufferList" "\0"
  /* 14222 */ "SpeechGrammar" "\0"
  /* 14236 */ "SpeechGrammarList" "\0"
  /* 14254 */ "SpeechRecognition" "\0"
  /* 14272 */ "SpeechRecognitionAlternative" "\0"
  /* 14301 */ "SpeechRecognitionError" "\0"
  /* 14324 */ "SpeechRecognitionEvent" "\0"
  /* 14347 */ "SpeechRecognitionResult" "\0"
  /* 14371 */ "SpeechRecognitionResultList" "\0"
  /* 14399 */ "SpeechSynthesis" "\0"
  /* 14415 */ "SpeechSynthesisErrorEvent" "\0"
  /* 14441 */ "SpeechSynthesisEvent" "\0"
  /* 14462 */ "SpeechSynthesisUtterance" "\0"
  /* 14487 */ "SpeechSynthesisVoice" "\0"
  /* 14508 */ "StaticRange" "\0"
  /* 14520 */ "StereoPannerNode" "\0"
  /* 14537 */ "Storage" "\0"
  /* 14545 */ "StorageEvent" "\0"
  /* 14558 */ "StorageManager" "\0"
  /* 14573 */ "StreamFilter" "\0"
  /* 14586 */ "StreamFilterDataEvent" "\0"
  /* 14608 */ "StructuredCloneHolder" "\0"
  /* 14630 */ "StructuredCloneTester" "\0"
  /* 14652 */ "StyleSheet" "\0"
  /* 14663 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14700 */ "StyleSheetList" "\0"
  /* 14715 */ "StyleSheetRemovedEvent" "\0"
  /* 14738 */ "SubmitEvent" "\0"
  /* 14750 */ "SubtleCrypto" "\0"
  /* 14763 */ "SyncMessageSender" "\0"
  /* 14781 */ "SyncReadFile" "\0"
  /* 14794 */ "TCPServerSocket" "\0"
  /* 14810 */ "TCPServerSocketEvent" "\0"
  /* 14831 */ "TCPSocket" "\0"
  /* 14841 */ "TCPSocketErrorEvent" "\0"
  /* 14861 */ "TCPSocketEvent" "\0"
  /* 14876 */ "TaskController" "\0"
  /* 14891 */ "TaskPriorityChangeEvent" "\0"
  /* 14915 */ "TaskSignal" "\0"
  /* 14926 */ "TestUtils" "\0"
  /* 14936 */ "TestingDeprecatedInterface" "\0"
  /* 14963 */ "Text" "\0"
  /* 14968 */ "TextClause" "\0"
  /* 14979 */ "TextDecoder" "\0"
  /* 14991 */ "TextDecoderStream" "\0"
  /* 15009 */ "TextEncoder" "\0"
  /* 15021 */ "TextEncoderStream" "\0"
  /* 15039 */ "TextEvent" "\0"
  /* 15049 */ "TextMetrics" "\0"
  /* 15061 */ "TextTrack" "\0"
  /* 15071 */ "TextTrackCue" "\0"
  /* 15084 */ "TextTrackCueList" "\0"
  /* 15101 */ "TextTrackList" "\0"
  /* 15115 */ "TimeEvent" "\0"
  /* 15125 */ "TimeRanges" "\0"
  /* 15136 */ "ToggleEvent" "\0"
  /* 15148 */ "Touch" "\0"
  /* 15154 */ "TouchEvent" "\0"
  /* 15165 */ "TouchList" "\0"
  /* 15175 */ "TrackEvent" "\0"
  /* 15186 */ "TransformStream" "\0"
  /* 15202 */ "TransformStreamDefaultController" "\0"
  /* 15235 */ "TransitionEvent" "\0"
  /* 15251 */ "TreeColumn" "\0"
  /* 15262 */ "TreeColumns" "\0"
  /* 15274 */ "TreeContentView" "\0"
  /* 15290 */ "TreeWalker" "\0"
  /* 15301 */ "TrustedHTML" "\0"
  /* 15313 */ "TrustedScript" "\0"
  /* 15327 */ "TrustedScriptURL" "\0"
  /* 15344 */ "TrustedTypePolicy" "\0"
  /* 15362 */ "TrustedTypePolicyFactory" "\0"
  /* 15387 */ "UDPMessageEvent" "\0"
  /* 15403 */ "UDPSocket" "\0"
  /* 15413 */ "UIEvent" "\0"
  /* 15421 */ "URL" "\0"
  /* 15425 */ "URLSearchParams" "\0"
  /* 15441 */ "URLSearchParams Iterator" "\0"
  /* 15466 */ "UniFFIPointer" "\0"
  /* 15480 */ "UniFFIScaffolding" "\0"
  /* 15498 */ "UserActivation" "\0"
  /* 15513 */ "UserInteraction" "\0"
  /* 15529 */ "UserProximityEvent" "\0"
  /* 15548 */ "VRDisplay" "\0"
  /* 15558 */ "VRDisplayCapabilities" "\0"
  /* 15580 */ "VRDisplayEvent" "\0"
  /* 15595 */ "VREyeParameters" "\0"
  /* 15611 */ "VRFieldOfView" "\0"
  /* 15625 */ "VRFrameData" "\0"
  /* 15637 */ "VRMockController" "\0"
  /* 15654 */ "VRMockDisplay" "\0"
  /* 15668 */ "VRPose" "\0"
  /* 15675 */ "VRServiceTest" "\0"
  /* 15689 */ "VRStageParameters" "\0"
  /* 15707 */ "VTTCue" "\0"
  /* 15714 */ "VTTRegion" "\0"
  /* 15724 */ "ValidityState" "\0"
  /* 15738 */ "VideoColorSpace" "\0"
  /* 15754 */ "VideoDecoder" "\0"
  /* 15767 */ "VideoEncoder" "\0"
  /* 15780 */ "VideoFrame" "\0"
  /* 15791 */ "VideoPlaybackQuality" "\0"
  /* 15812 */ "VideoTrack" "\0"
  /* 15823 */ "VideoTrackList" "\0"
  /* 15838 */ "ViewTransition" "\0"
  /* 15853 */ "VisualViewport" "\0"
  /* 15868 */ "WEBGL_color_buffer_float" "\0"
  /* 15893 */ "WEBGL_compressed_texture_astc" "\0"
  /* 15923 */ "WEBGL_compressed_texture_etc" "\0"
  /* 15952 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 15982 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 16013 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 16043 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 16078 */ "WEBGL_debug_renderer_info" "\0"
  /* 16104 */ "WEBGL_debug_shaders" "\0"
  /* 16124 */ "WEBGL_depth_texture" "\0"
  /* 16144 */ "WEBGL_draw_buffers" "\0"
  /* 16163 */ "WEBGL_explicit_present" "\0"
  /* 16186 */ "WEBGL_lose_context" "\0"
  /* 16205 */ "WEBGL_provoking_vertex" "\0"
  /* 16228 */ "WGSLLanguageFeatures" "\0"
  /* 16249 */ "WakeLock" "\0"
  /* 16258 */ "WakeLockSentinel" "\0"
  /* 16275 */ "WaveShaperNode" "\0"
  /* 16290 */ "WebExtensionContentScript" "\0"
  /* 16316 */ "WebExtensionPolicy" "\0"
  /* 16335 */ "WebGL2RenderingContext" "\0"
  /* 16358 */ "WebGLActiveInfo" "\0"
  /* 16374 */ "WebGLBuffer" "\0"
  /* 16386 */ "WebGLContextEvent" "\0"
  /* 16404 */ "WebGLFramebuffer" "\0"
  /* 16421 */ "WebGLProgram" "\0"
  /* 16434 */ "WebGLQuery" "\0"
  /* 16445 */ "WebGLRenderbuffer" "\0"
  /* 16463 */ "WebGLRenderingContext" "\0"
  /* 16485 */ "WebGLSampler" "\0"
  /* 16498 */ "WebGLShader" "\0"
  /* 16510 */ "WebGLShaderPrecisionFormat" "\0"
  /* 16537 */ "WebGLSync" "\0"
  /* 16547 */ "WebGLTexture" "\0"
  /* 16560 */ "WebGLTransformFeedback" "\0"
  /* 16583 */ "WebGLUniformLocation" "\0"
  /* 16604 */ "WebGLVertexArrayObject" "\0"
  /* 16627 */ "WebKitCSSMatrix" "\0"
  /* 16643 */ "WebSocket" "\0"
  /* 16653 */ "WebTransport" "\0"
  /* 16666 */ "WebTransportBidirectionalStream" "\0"
  /* 16698 */ "WebTransportDatagramDuplexStream" "\0"
  /* 16731 */ "WebTransportError" "\0"
  /* 16749 */ "WebTransportReceiveStream" "\0"
  /* 16775 */ "WebTransportSendStream" "\0"
  /* 16798 */ "WebrtcGlobalInformation" "\0"
  /* 16822 */ "WheelEvent" "\0"
  /* 16833 */ "Window" "\0"
  /* 16840 */ "WindowClient" "\0"
  /* 16853 */ "WindowContext" "\0"
  /* 16867 */ "WindowGlobalChild" "\0"
  /* 16885 */ "WindowGlobalParent" "\0"
  /* 16904 */ "WindowRoot" "\0"
  /* 16915 */ "Worker" "\0"
  /* 16922 */ "WorkerDebuggerGlobalScope" "\0"
  /* 16948 */ "WorkerGlobalScope" "\0"
  /* 16966 */ "WorkerLocation" "\0"
  /* 16981 */ "WorkerNavigator" "\0"
  /* 16997 */ "WorkerTestUtils" "\0"
  /* 17013 */ "Worklet" "\0"
  /* 17021 */ "WorkletGlobalScope" "\0"
  /* 17040 */ "WritableStream" "\0"
  /* 17055 */ "WritableStreamDefaultController" "\0"
  /* 17087 */ "WritableStreamDefaultWriter" "\0"
  /* 17115 */ "XMLDocument" "\0"
  /* 17127 */ "XMLHttpRequest" "\0"
  /* 17142 */ "XMLHttpRequestEventTarget" "\0"
  /* 17168 */ "XMLHttpRequestUpload" "\0"
  /* 17189 */ "XMLSerializer" "\0"
  /* 17203 */ "XPathEvaluator" "\0"
  /* 17218 */ "XPathExpression" "\0"
  /* 17234 */ "XPathResult" "\0"
  /* 17246 */ "XRBoundedReferenceSpace" "\0"
  /* 17270 */ "XRFrame" "\0"
  /* 17278 */ "XRInputSource" "\0"
  /* 17292 */ "XRInputSourceArray" "\0"
  /* 17311 */ "XRInputSourceEvent" "\0"
  /* 17330 */ "XRInputSourcesChangeEvent" "\0"
  /* 17356 */ "XRPose" "\0"
  /* 17363 */ "XRReferenceSpace" "\0"
  /* 17380 */ "XRReferenceSpaceEvent" "\0"
  /* 17402 */ "XRRenderState" "\0"
  /* 17416 */ "XRRigidTransform" "\0"
  /* 17433 */ "XRSession" "\0"
  /* 17443 */ "XRSessionEvent" "\0"
  /* 17458 */ "XRSpace" "\0"
  /* 17466 */ "XRSystem" "\0"
  /* 17475 */ "XRView" "\0"
  /* 17482 */ "XRViewerPose" "\0"
  /* 17495 */ "XRViewport" "\0"
  /* 17506 */ "XRWebGLLayer" "\0"
  /* 17519 */ "XSLTProcessor" "\0"
  /* 17533 */ "XULCommandEvent" "\0"
  /* 17549 */ "XULElement" "\0"
  /* 17560 */ "XULFrameElement" "\0"
  /* 17576 */ "XULMenuElement" "\0"
  /* 17591 */ "XULPopupElement" "\0"
  /* 17607 */ "XULResizerElement" "\0"
  /* 17625 */ "XULTextElement" "\0"
  /* 17640 */ "XULTreeElement" "\0"
  /* 17655 */ "console" "\0"
  /* 17663 */ "webkitSpeechGrammar" "\0"
  /* 17683 */ "webkitSpeechGrammarList" "\0"
  /* 17707 */ "webkitSpeechRecognition" "\0"
  /* 17731 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

