//
// Automatically generated by ipdlc.
// Edit at your own risk
//

#ifndef PBrowser_h
#define PBrowser_h

#include "mozilla/Attributes.h"
#include "IPCMessageStart.h"
#include "mozilla/RefPtr.h"
#include "nsString.h"
#include "nsTArray.h"
#include "nsTHashtable.h"
#include "mozilla/MozPromise.h"
#include "mozilla/OperatorNewExtensions.h"
#include "mozilla/UniquePtr.h"
#include "mozilla/ipc/ByteBuf.h"
#include "mozilla/ipc/FileDescriptor.h"
#include "mozilla/ipc/IPCForwards.h"
#include "mozilla/ipc/Shmem.h"

// Headers for typedefs
#include "mozilla/ipc/IPDLStructMember.h"
#include "mozilla/dom/DOMTypes.h"
#include "mozilla/net/NeckoChannelParams.h"
#include "mozilla/dom/WindowGlobalTypes.h"
#include "mozilla/dom/IPCBlob.h"
#include "mozilla/ipc/IPCStream.h"
#include "mozilla/dom/IPCTransferable.h"
#include "mozilla/ipc/URIParams.h"
#include "mozilla/embedding/PPrintingTypes.h"
#include "mozilla/dom/PTabContext.h"
#include "mozilla/ipc/PBackgroundSharedTypes.h"


//-----------------------------------------------------------------------------
// Declaration of the IPDL type |struct WebProgressData|
//
namespace mozilla {
namespace dom {
class WebProgressData final
{
private:
    typedef ::mozilla::dom::MaybeDiscardedBrowsingContext MaybeDiscardedBrowsingContext;
    typedef ::uint32_t uint32_t;

public:
#ifdef __clang__
#  pragma clang diagnostic push
#  if __has_warning("-Wdefaulted-function-deleted")
#    pragma clang diagnostic ignored "-Wdefaulted-function-deleted"
#  endif
#endif
    WebProgressData() = default;
#ifdef __clang__
#  pragma clang diagnostic pop
#endif

    MOZ_IMPLICIT WebProgressData(
            const MaybeDiscardedBrowsingContext& _browsingContext,
            const uint32_t& _loadType) :
        browsingContext_(_browsingContext),
        loadType_(_loadType)
    {
    }

    MOZ_IMPLICIT WebProgressData(
            MaybeDiscardedBrowsingContext&& _browsingContext,
            uint32_t&& _loadType) :
        browsingContext_(std::move(_browsingContext)),
        loadType_(std::move(_loadType))
    {
    }

    MaybeDiscardedBrowsingContext&
    browsingContext()
    {
        return browsingContext_;
    }
    const MaybeDiscardedBrowsingContext&
    browsingContext() const
    {
        return browsingContext_;
    }

    uint32_t&
    loadType()
    {
        return loadType_;
    }
    const uint32_t&
    loadType() const
    {
        return loadType_;
    }

private:
    ::mozilla::ipc::IPDLStructMember<MaybeDiscardedBrowsingContext> browsingContext_;
    ::mozilla::ipc::IPDLStructMember<uint32_t> loadType_;
};
} // namespace dom
} // namespace mozilla

namespace IPC {
template<>
struct ParamTraits <::mozilla::dom::WebProgressData>
{
    typedef ::mozilla::dom::WebProgressData paramType;
    static void
    Write(
            IPC::MessageWriter* aWriter,
            const paramType& aVar);
    static IPC::ReadResult<paramType>
    Read(IPC::MessageReader* aReader);
};
} // namespace IPC


//-----------------------------------------------------------------------------
// Declaration of the IPDL type |struct RequestData|
//
namespace mozilla {
namespace dom {
class RequestData final
{
private:
    typedef ::nsIURI nsIURI;
    typedef ::nsCString nsCString;

public:
#ifdef __clang__
#  pragma clang diagnostic push
#  if __has_warning("-Wdefaulted-function-deleted")
#    pragma clang diagnostic ignored "-Wdefaulted-function-deleted"
#  endif
#endif
    RequestData() = default;
#ifdef __clang__
#  pragma clang diagnostic pop
#endif

    MOZ_IMPLICIT RequestData(
            nsIURI* _requestURI,
            nsIURI* _originalRequestURI,
            const nsCString& _matchedList,
            const nsCString& _canceledReason) :
        requestURI_(_requestURI),
        originalRequestURI_(_originalRequestURI),
        matchedList_(_matchedList),
        canceledReason_(_canceledReason)
    {
    }

    MOZ_IMPLICIT RequestData(
            RefPtr<nsIURI>&& _requestURI,
            RefPtr<nsIURI>&& _originalRequestURI,
            nsCString&& _matchedList,
            nsCString&& _canceledReason) :
        requestURI_(std::move(_requestURI)),
        originalRequestURI_(std::move(_originalRequestURI)),
        matchedList_(std::move(_matchedList)),
        canceledReason_(std::move(_canceledReason))
    {
    }

    RefPtr<nsIURI>&
    requestURI()
    {
        return requestURI_;
    }
    nsIURI*
    requestURI() const
    {
        return requestURI_;
    }

    RefPtr<nsIURI>&
    originalRequestURI()
    {
        return originalRequestURI_;
    }
    nsIURI*
    originalRequestURI() const
    {
        return originalRequestURI_;
    }

    nsCString&
    matchedList()
    {
        return matchedList_;
    }
    const nsCString&
    matchedList() const
    {
        return matchedList_;
    }

    nsCString&
    canceledReason()
    {
        return canceledReason_;
    }
    const nsCString&
    canceledReason() const
    {
        return canceledReason_;
    }

private:
    ::mozilla::ipc::IPDLStructMember<RefPtr<nsIURI>> requestURI_;
    ::mozilla::ipc::IPDLStructMember<RefPtr<nsIURI>> originalRequestURI_;
    ::mozilla::ipc::IPDLStructMember<nsCString> matchedList_;
    ::mozilla::ipc::IPDLStructMember<nsCString> canceledReason_;
};
} // namespace dom
} // namespace mozilla

namespace IPC {
template<>
struct ParamTraits <::mozilla::dom::RequestData>
{
    typedef ::mozilla::dom::RequestData paramType;
    static void
    Write(
            IPC::MessageWriter* aWriter,
            const paramType& aVar);
    static IPC::ReadResult<paramType>
    Read(IPC::MessageReader* aReader);
};
} // namespace IPC


//-----------------------------------------------------------------------------
// Declaration of the IPDL type |struct WebProgressStateChangeData|
//
namespace mozilla {
namespace dom {
class WebProgressStateChangeData final
{
private:
    typedef ::nsString nsString;
    typedef ::nsIURI nsIURI;

public:
#ifdef __clang__
#  pragma clang diagnostic push
#  if __has_warning("-Wdefaulted-function-deleted")
#    pragma clang diagnostic ignored "-Wdefaulted-function-deleted"
#  endif
#endif
    WebProgressStateChangeData() = default;
#ifdef __clang__
#  pragma clang diagnostic pop
#endif

    MOZ_IMPLICIT WebProgressStateChangeData(
            const bool& _isNavigating,
            const bool& _mayEnableCharacterEncodingMenu,
            const nsString& _contentType,
            const nsString& _charset,
            nsIURI* _documentURI) :
        isNavigating_(_isNavigating),
        mayEnableCharacterEncodingMenu_(_mayEnableCharacterEncodingMenu),
        contentType_(_contentType),
        charset_(_charset),
        documentURI_(_documentURI)
    {
    }

    MOZ_IMPLICIT WebProgressStateChangeData(
            bool&& _isNavigating,
            bool&& _mayEnableCharacterEncodingMenu,
            nsString&& _contentType,
            nsString&& _charset,
            RefPtr<nsIURI>&& _documentURI) :
        isNavigating_(std::move(_isNavigating)),
        mayEnableCharacterEncodingMenu_(std::move(_mayEnableCharacterEncodingMenu)),
        contentType_(std::move(_contentType)),
        charset_(std::move(_charset)),
        documentURI_(std::move(_documentURI))
    {
    }

    bool&
    isNavigating()
    {
        return isNavigating_;
    }
    const bool&
    isNavigating() const
    {
        return isNavigating_;
    }

    bool&
    mayEnableCharacterEncodingMenu()
    {
        return mayEnableCharacterEncodingMenu_;
    }
    const bool&
    mayEnableCharacterEncodingMenu() const
    {
        return mayEnableCharacterEncodingMenu_;
    }

    nsString&
    contentType()
    {
        return contentType_;
    }
    const nsString&
    contentType() const
    {
        return contentType_;
    }

    nsString&
    charset()
    {
        return charset_;
    }
    const nsString&
    charset() const
    {
        return charset_;
    }

    RefPtr<nsIURI>&
    documentURI()
    {
        return documentURI_;
    }
    nsIURI*
    documentURI() const
    {
        return documentURI_;
    }

private:
    ::mozilla::ipc::IPDLStructMember<bool> isNavigating_;
    ::mozilla::ipc::IPDLStructMember<bool> mayEnableCharacterEncodingMenu_;
    ::mozilla::ipc::IPDLStructMember<nsString> contentType_;
    ::mozilla::ipc::IPDLStructMember<nsString> charset_;
    ::mozilla::ipc::IPDLStructMember<RefPtr<nsIURI>> documentURI_;
};
} // namespace dom
} // namespace mozilla

namespace IPC {
template<>
struct ParamTraits <::mozilla::dom::WebProgressStateChangeData>
{
    typedef ::mozilla::dom::WebProgressStateChangeData paramType;
    static void
    Write(
            IPC::MessageWriter* aWriter,
            const paramType& aVar);
    static IPC::ReadResult<paramType>
    Read(IPC::MessageReader* aReader);
};
} // namespace IPC


//-----------------------------------------------------------------------------
// Declaration of the IPDL type |struct WebProgressLocationChangeData|
//
namespace mozilla {
namespace dom {
class WebProgressLocationChangeData final
{
private:
    typedef ::nsString nsString;
    typedef ::nsIURI nsIURI;
    typedef ::nsIPrincipal nsIPrincipal;
    typedef ::nsIContentSecurityPolicy nsIContentSecurityPolicy;
    typedef ::nsIReferrerInfo nsIReferrerInfo;
    typedef ::uint64_t uint64_t;

public:
#ifdef __clang__
#  pragma clang diagnostic push
#  if __has_warning("-Wdefaulted-function-deleted")
#    pragma clang diagnostic ignored "-Wdefaulted-function-deleted"
#  endif
#endif
    WebProgressLocationChangeData() = default;
#ifdef __clang__
#  pragma clang diagnostic pop
#endif

    MOZ_IMPLICIT WebProgressLocationChangeData(
            const bool& _isNavigating,
            const bool& _isSyntheticDocument,
            const bool& _mayEnableCharacterEncodingMenu,
            const nsString& _contentType,
            const nsString& _title,
            const nsString& _charset,
            nsIURI* _documentURI,
            nsIPrincipal* _contentPrincipal,
            nsIPrincipal* _contentPartitionedPrincipal,
            nsIContentSecurityPolicy* _csp,
            nsIReferrerInfo* _referrerInfo,
            const mozilla::Maybe<uint64_t>& _requestContextID) :
        isNavigating_(_isNavigating),
        isSyntheticDocument_(_isSyntheticDocument),
        mayEnableCharacterEncodingMenu_(_mayEnableCharacterEncodingMenu),
        contentType_(_contentType),
        title_(_title),
        charset_(_charset),
        documentURI_(_documentURI),
        contentPrincipal_(_contentPrincipal),
        contentPartitionedPrincipal_(_contentPartitionedPrincipal),
        csp_(_csp),
        referrerInfo_(_referrerInfo),
        requestContextID_(_requestContextID)
    {
    }

    MOZ_IMPLICIT WebProgressLocationChangeData(
            bool&& _isNavigating,
            bool&& _isSyntheticDocument,
            bool&& _mayEnableCharacterEncodingMenu,
            nsString&& _contentType,
            nsString&& _title,
            nsString&& _charset,
            RefPtr<nsIURI>&& _documentURI,
            RefPtr<nsIPrincipal>&& _contentPrincipal,
            RefPtr<nsIPrincipal>&& _contentPartitionedPrincipal,
            RefPtr<nsIContentSecurityPolicy>&& _csp,
            RefPtr<nsIReferrerInfo>&& _referrerInfo,
            mozilla::Maybe<uint64_t>&& _requestContextID) :
        isNavigating_(std::move(_isNavigating)),
        isSyntheticDocument_(std::move(_isSyntheticDocument)),
        mayEnableCharacterEncodingMenu_(std::move(_mayEnableCharacterEncodingMenu)),
        contentType_(std::move(_contentType)),
        title_(std::move(_title)),
        charset_(std::move(_charset)),
        documentURI_(std::move(_documentURI)),
        contentPrincipal_(std::move(_contentPrincipal)),
        contentPartitionedPrincipal_(std::move(_contentPartitionedPrincipal)),
        csp_(std::move(_csp)),
        referrerInfo_(std::move(_referrerInfo)),
        requestContextID_(std::move(_requestContextID))
    {
    }

    bool&
    isNavigating()
    {
        return isNavigating_;
    }
    const bool&
    isNavigating() const
    {
        return isNavigating_;
    }

    bool&
    isSyntheticDocument()
    {
        return isSyntheticDocument_;
    }
    const bool&
    isSyntheticDocument() const
    {
        return isSyntheticDocument_;
    }

    bool&
    mayEnableCharacterEncodingMenu()
    {
        return mayEnableCharacterEncodingMenu_;
    }
    const bool&
    mayEnableCharacterEncodingMenu() const
    {
        return mayEnableCharacterEncodingMenu_;
    }

    nsString&
    contentType()
    {
        return contentType_;
    }
    const nsString&
    contentType() const
    {
        return contentType_;
    }

    nsString&
    title()
    {
        return title_;
    }
    const nsString&
    title() const
    {
        return title_;
    }

    nsString&
    charset()
    {
        return charset_;
    }
    const nsString&
    charset() const
    {
        return charset_;
    }

    RefPtr<nsIURI>&
    documentURI()
    {
        return documentURI_;
    }
    nsIURI*
    documentURI() const
    {
        return documentURI_;
    }

    RefPtr<nsIPrincipal>&
    contentPrincipal()
    {
        return contentPrincipal_;
    }
    nsIPrincipal*
    contentPrincipal() const
    {
        return contentPrincipal_;
    }

    RefPtr<nsIPrincipal>&
    contentPartitionedPrincipal()
    {
        return contentPartitionedPrincipal_;
    }
    nsIPrincipal*
    contentPartitionedPrincipal() const
    {
        return contentPartitionedPrincipal_;
    }

    RefPtr<nsIContentSecurityPolicy>&
    csp()
    {
        return csp_;
    }
    nsIContentSecurityPolicy*
    csp() const
    {
        return csp_;
    }

    RefPtr<nsIReferrerInfo>&
    referrerInfo()
    {
        return referrerInfo_;
    }
    nsIReferrerInfo*
    referrerInfo() const
    {
        return referrerInfo_;
    }

    mozilla::Maybe<uint64_t>&
    requestContextID()
    {
        return requestContextID_;
    }
    const mozilla::Maybe<uint64_t>&
    requestContextID() const
    {
        return requestContextID_;
    }

private:
    ::mozilla::ipc::IPDLStructMember<bool> isNavigating_;
    ::mozilla::ipc::IPDLStructMember<bool> isSyntheticDocument_;
    ::mozilla::ipc::IPDLStructMember<bool> mayEnableCharacterEncodingMenu_;
    ::mozilla::ipc::IPDLStructMember<nsString> contentType_;
    ::mozilla::ipc::IPDLStructMember<nsString> title_;
    ::mozilla::ipc::IPDLStructMember<nsString> charset_;
    ::mozilla::ipc::IPDLStructMember<RefPtr<nsIURI>> documentURI_;
    ::mozilla::ipc::IPDLStructMember<RefPtr<nsIPrincipal>> contentPrincipal_;
    ::mozilla::ipc::IPDLStructMember<RefPtr<nsIPrincipal>> contentPartitionedPrincipal_;
    ::mozilla::ipc::IPDLStructMember<RefPtr<nsIContentSecurityPolicy>> csp_;
    ::mozilla::ipc::IPDLStructMember<RefPtr<nsIReferrerInfo>> referrerInfo_;
    ::mozilla::ipc::IPDLStructMember<mozilla::Maybe<uint64_t>> requestContextID_;
};
} // namespace dom
} // namespace mozilla

namespace IPC {
template<>
struct ParamTraits <::mozilla::dom::WebProgressLocationChangeData>
{
    typedef ::mozilla::dom::WebProgressLocationChangeData paramType;
    static void
    Write(
            IPC::MessageWriter* aWriter,
            const paramType& aVar);
    static IPC::ReadResult<paramType>
    Read(IPC::MessageReader* aReader);
};
} // namespace IPC


//-----------------------------------------------------------------------------
// Declaration of the IPDL type |struct PrintPreviewResultInfo|
//
namespace mozilla {
namespace dom {
class PrintPreviewResultInfo final
{
private:
    typedef ::uint32_t uint32_t;

public:
#ifdef __clang__
#  pragma clang diagnostic push
#  if __has_warning("-Wdefaulted-function-deleted")
#    pragma clang diagnostic ignored "-Wdefaulted-function-deleted"
#  endif
#endif
    PrintPreviewResultInfo() = default;
#ifdef __clang__
#  pragma clang diagnostic pop
#endif

    MOZ_IMPLICIT PrintPreviewResultInfo(
            const uint32_t& _sheetCount,
            const uint32_t& _totalPageCount,
            const bool& _isEmpty,
            const bool& _hasSelection,
            const bool& _hasSelfSelection,
            const mozilla::Maybe<bool>& _printLandscape,
            const mozilla::Maybe<float>& _pageWidth,
            const mozilla::Maybe<float>& _pageHeight) :
        isEmpty_(_isEmpty),
        hasSelection_(_hasSelection),
        hasSelfSelection_(_hasSelfSelection),
        printLandscape_(_printLandscape),
        pageWidth_(_pageWidth),
        pageHeight_(_pageHeight),
        sheetCount_(_sheetCount),
        totalPageCount_(_totalPageCount)
    {
    }

    MOZ_IMPLICIT PrintPreviewResultInfo(
            uint32_t&& _sheetCount,
            uint32_t&& _totalPageCount,
            bool&& _isEmpty,
            bool&& _hasSelection,
            bool&& _hasSelfSelection,
            mozilla::Maybe<bool>&& _printLandscape,
            mozilla::Maybe<float>&& _pageWidth,
            mozilla::Maybe<float>&& _pageHeight) :
        isEmpty_(std::move(_isEmpty)),
        hasSelection_(std::move(_hasSelection)),
        hasSelfSelection_(std::move(_hasSelfSelection)),
        printLandscape_(std::move(_printLandscape)),
        pageWidth_(std::move(_pageWidth)),
        pageHeight_(std::move(_pageHeight)),
        sheetCount_(std::move(_sheetCount)),
        totalPageCount_(std::move(_totalPageCount))
    {
    }

    uint32_t&
    sheetCount()
    {
        return sheetCount_;
    }
    const uint32_t&
    sheetCount() const
    {
        return sheetCount_;
    }

    uint32_t&
    totalPageCount()
    {
        return totalPageCount_;
    }
    const uint32_t&
    totalPageCount() const
    {
        return totalPageCount_;
    }

    bool&
    isEmpty()
    {
        return isEmpty_;
    }
    const bool&
    isEmpty() const
    {
        return isEmpty_;
    }

    bool&
    hasSelection()
    {
        return hasSelection_;
    }
    const bool&
    hasSelection() const
    {
        return hasSelection_;
    }

    bool&
    hasSelfSelection()
    {
        return hasSelfSelection_;
    }
    const bool&
    hasSelfSelection() const
    {
        return hasSelfSelection_;
    }

    mozilla::Maybe<bool>&
    printLandscape()
    {
        return printLandscape_;
    }
    const mozilla::Maybe<bool>&
    printLandscape() const
    {
        return printLandscape_;
    }

    mozilla::Maybe<float>&
    pageWidth()
    {
        return pageWidth_;
    }
    const mozilla::Maybe<float>&
    pageWidth() const
    {
        return pageWidth_;
    }

    mozilla::Maybe<float>&
    pageHeight()
    {
        return pageHeight_;
    }
    const mozilla::Maybe<float>&
    pageHeight() const
    {
        return pageHeight_;
    }

private:
    void
    StaticAssertions() const;
    ::mozilla::ipc::IPDLStructMember<bool> isEmpty_;
    ::mozilla::ipc::IPDLStructMember<bool> hasSelection_;
    ::mozilla::ipc::IPDLStructMember<bool> hasSelfSelection_;
    ::mozilla::ipc::IPDLStructMember<mozilla::Maybe<bool>> printLandscape_;
    ::mozilla::ipc::IPDLStructMember<mozilla::Maybe<float>> pageWidth_;
    ::mozilla::ipc::IPDLStructMember<mozilla::Maybe<float>> pageHeight_;
    ::mozilla::ipc::IPDLStructMember<uint32_t> sheetCount_;
    ::mozilla::ipc::IPDLStructMember<uint32_t> totalPageCount_;
};
} // namespace dom
} // namespace mozilla

namespace IPC {
template<>
struct ParamTraits <::mozilla::dom::PrintPreviewResultInfo>
{
    typedef ::mozilla::dom::PrintPreviewResultInfo paramType;
    static void
    Write(
            IPC::MessageWriter* aWriter,
            const paramType& aVar);
    static IPC::ReadResult<paramType>
    Read(IPC::MessageReader* aReader);
};
} // namespace IPC

namespace mozilla {
namespace dom {
class PBrowserParent;
} // namespace dom
} // namespace mozilla
namespace mozilla {
namespace dom {
class PBrowserChild;
} // namespace dom
} // namespace mozilla

//-----------------------------------------------------------------------------
// Code common to PBrowserChild and PBrowserParent
//
namespace mozilla {
namespace dom {
namespace PBrowser {

nsresult
CreateEndpoints(
        mozilla::ipc::EndpointProcInfo aParentDestInfo,
        mozilla::ipc::EndpointProcInfo aChildDestInfo,
        mozilla::ipc::Endpoint<::mozilla::dom::PBrowserParent>* aParent,
        mozilla::ipc::Endpoint<::mozilla::dom::PBrowserChild>* aChild);

enum MessageType {
    PBrowserStart = PBrowserMsgStart << 16,
    Msg_AsyncMessage__ID,
    Msg_PDocAccessibleConstructor__ID,
    Reply_PDocAccessibleConstructor__ID,
    Msg_PPaymentRequestConstructor__ID,
    Reply_PPaymentRequestConstructor__ID,
    Msg_PVsyncConstructor__ID,
    Reply_PVsyncConstructor__ID,
    Msg_DidUnsuppressPainting__ID,
    Msg_DidUnsuppressPaintingNormalPriority__ID,
    Msg_MoveFocus__ID,
    Msg_DropLinks__ID,
    Msg_SyncMessage__ID,
    Reply_SyncMessage__ID,
    Msg_NotifyIMEFocus__ID,
    Reply_NotifyIMEFocus__ID,
    Msg_NotifyIMETextChange__ID,
    Msg_NotifyIMECompositionUpdate__ID,
    Msg_NotifyIMESelection__ID,
    Msg_UpdateContentCache__ID,
    Msg_NotifyIMEMouseButtonEvent__ID,
    Reply_NotifyIMEMouseButtonEvent__ID,
    Msg_NotifyIMEPositionChange__ID,
    Msg_RequestIMEToCommitComposition__ID,
    Reply_RequestIMEToCommitComposition__ID,
    Msg_OnEventNeedingAckHandled__ID,
    Msg_RequestFocus__ID,
    Msg_WheelZoomChange__ID,
    Msg_EnableDisableCommands__ID,
    Msg_GetInputContext__ID,
    Reply_GetInputContext__ID,
    Msg_SetInputContext__ID,
    Msg_SetCursor__ID,
    Msg_SetLinkStatus__ID,
    Msg_ShowTooltip__ID,
    Msg_HideTooltip__ID,
    Msg_PColorPickerConstructor__ID,
    Reply_PColorPickerConstructor__ID,
    Msg_PFilePickerConstructor__ID,
    Reply_PFilePickerConstructor__ID,
    Msg_RespondStartSwipeEvent__ID,
    Msg_LookUpDictionary__ID,
    Msg___delete____ID,
    Reply___delete____ID,
    Msg_ReplyKeyEvent__ID,
    Msg_RequestNativeKeyBindings__ID,
    Reply_RequestNativeKeyBindings__ID,
    Msg_SynthesizeNativeKeyEvent__ID,
    Msg_SynthesizeNativeMouseEvent__ID,
    Msg_SynthesizeNativeMouseMove__ID,
    Msg_SynthesizeNativeMouseScrollEvent__ID,
    Msg_SynthesizeNativeTouchPoint__ID,
    Msg_SynthesizeNativeTouchPadPinch__ID,
    Msg_SynthesizeNativeTouchTap__ID,
    Msg_ClearNativeTouchSequence__ID,
    Msg_SynthesizeNativePenInput__ID,
    Msg_SynthesizeNativeTouchpadDoubleTap__ID,
    Msg_SynthesizeNativeTouchpadPan__ID,
    Msg_LockNativePointer__ID,
    Msg_UnlockNativePointer__ID,
    Msg_AccessKeyNotHandled__ID,
    Msg_RegisterProtocolHandler__ID,
    Msg_OnStateChange__ID,
    Msg_OnLocationChange__ID,
    Msg_OnProgressChange__ID,
    Msg_OnStatusChange__ID,
    Msg_NotifyContentBlockingEvent__ID,
    Msg_NavigationFinished__ID,
    Msg_IntrinsicSizeOrRatioChanged__ID,
    Msg_ImageLoadComplete__ID,
    Msg_RequestPointerCapture__ID,
    Reply_RequestPointerCapture__ID,
    Msg_ReleasePointerCapture__ID,
    Msg_RequestPointerLock__ID,
    Reply_RequestPointerLock__ID,
    Msg_ReleasePointerLock__ID,
    Msg_NativeSynthesisResponse__ID,
    Msg_UpdateSHistory__ID,
    Msg_CloneDocumentTreeIntoSelf__ID,
    Reply_CloneDocumentTreeIntoSelf__ID,
    Msg_UpdateRemotePrintSettings__ID,
    Msg_ReleaseAllPointerCapture__ID,
    Msg_RemoteIsReadyToHandleInputEvents__ID,
    Msg_UpdateEffects__ID,
    Msg_SetDimensions__ID,
    Msg_DispatchWheelEvent__ID,
    Reply_DispatchWheelEvent__ID,
    Msg_DispatchMouseEvent__ID,
    Reply_DispatchMouseEvent__ID,
    Msg_DispatchKeyboardEvent__ID,
    Reply_DispatchKeyboardEvent__ID,
    Msg_DispatchTouchEvent__ID,
    Reply_DispatchTouchEvent__ID,
    Msg_InvokeDragSession__ID,
    Msg_EnsureLayersConnected__ID,
    Reply_EnsureLayersConnected__ID,
    Msg_ShowCanvasPermissionPrompt__ID,
    Msg_SetSystemFont__ID,
    Reply_SetSystemFont__ID,
    Msg_GetSystemFont__ID,
    Reply_GetSystemFont__ID,
    Msg_MaybeFireEmbedderLoadEvents__ID,
    Msg_ScrollRectIntoView__ID,
    Msg_ShowDynamicToolbar__ID,
    Msg_Show__ID,
    Msg_Activate__ID,
    Msg_Deactivate__ID,
    Msg_ScrollbarPreferenceChanged__ID,
    Msg_InitRendering__ID,
    Msg_CompositorOptionsChanged__ID,
    Msg_LoadURL__ID,
    Msg_CreateAboutBlankDocumentViewer__ID,
    Msg_ResumeLoad__ID,
    Msg_UpdateDimensions__ID,
    Msg_SizeModeChanged__ID,
    Msg_ChildToParentMatrix__ID,
    Msg_UpdateRemoteStyle__ID,
    Msg_DynamicToolbarMaxHeightChanged__ID,
    Msg_DynamicToolbarOffsetChanged__ID,
    Msg_KeyboardHeightChanged__ID,
    Msg_AndroidPipModeChanged__ID,
    Msg_StopIMEStateManagement__ID,
    Msg_RealMouseMoveEvent__ID,
    Msg_NormalPriorityRealMouseMoveEvent__ID,
    Msg_RealMouseMoveEventForTests__ID,
    Msg_NormalPriorityRealMouseMoveEventForTests__ID,
    Msg_SynthMouseMoveEvent__ID,
    Msg_NormalPrioritySynthMouseMoveEvent__ID,
    Msg_RealMouseButtonEvent__ID,
    Msg_NormalPriorityRealMouseButtonEvent__ID,
    Msg_RealPointerButtonEvent__ID,
    Msg_NormalPriorityRealPointerButtonEvent__ID,
    Msg_RealMouseEnterExitWidgetEvent__ID,
    Msg_NormalPriorityRealMouseEnterExitWidgetEvent__ID,
    Msg_RealKeyEvent__ID,
    Msg_NormalPriorityRealKeyEvent__ID,
    Msg_MouseWheelEvent__ID,
    Msg_NormalPriorityMouseWheelEvent__ID,
    Msg_RealTouchEvent__ID,
    Msg_NormalPriorityRealTouchEvent__ID,
    Msg_HandleTap__ID,
    Msg_NormalPriorityHandleTap__ID,
    Msg_RealTouchMoveEvent__ID,
    Msg_NormalPriorityRealTouchMoveEvent__ID,
    Msg_RealTouchMoveEvent2__ID,
    Msg_NormalPriorityRealTouchMoveEvent2__ID,
    Msg_RealDragEvent__ID,
    Msg_CompositionEvent__ID,
    Msg_NormalPriorityCompositionEvent__ID,
    Msg_SelectionEvent__ID,
    Msg_NormalPrioritySelectionEvent__ID,
    Msg_SimpleContentCommandEvent__ID,
    Msg_NormalPrioritySimpleContentCommandEvent__ID,
    Msg_InsertText__ID,
    Msg_NormalPriorityInsertText__ID,
    Msg_ReplaceText__ID,
    Msg_NormalPriorityReplaceText__ID,
    Msg_PasteTransferable__ID,
    Msg_LoadRemoteScript__ID,
    Msg_Destroy__ID,
    Msg_RenderLayers__ID,
    Msg_PreserveLayers__ID,
    Msg_SuppressDisplayport__ID,
    Msg_NavigateByKey__ID,
    Msg_UIResolutionChanged__ID,
    Msg_SafeAreaInsetsChanged__ID,
    Msg_SwappedWithOtherRemoteLoader__ID,
    Msg_HandleAccessKey__ID,
    Msg_PrintPreview__ID,
    Reply_PrintPreview__ID,
    Msg_ExitPrintPreview__ID,
    Msg_Print__ID,
    Reply_Print__ID,
    Msg_PrintClonedPage__ID,
    Msg_DestroyPrintClone__ID,
    Msg_UpdateNativeWindowHandle__ID,
    Msg_AllowScriptsToClose__ID,
    Msg_WillChangeProcess__ID,
    Msg_InvokeChildDragSession__ID,
    Msg_UpdateDragSession__ID,
    Msg_EndDragSession__ID,
    Msg_StoreDropTargetAndDelayEndDragSession__ID,
    Msg_DispatchToDropTargetAndResumeEndDragSession__ID,
    Msg_IsWindowSupportingProtectedMedia__ID,
    Reply_IsWindowSupportingProtectedMedia__ID,
    Msg_IsWindowSupportingWebVR__ID,
    Reply_IsWindowSupportingWebVR__ID,
    Msg_VisitURI__ID,
    Msg_QueryVisitedState__ID,
    Msg_PSessionStoreConstructor__ID,
    Reply_PSessionStoreConstructor__ID,
    Msg_NewWindowGlobal__ID,
    Msg_UpdateDropEffect__ID,
    PBrowserEnd
};

mozilla::UniquePtr<IPC::Message>
Msg_AsyncMessage(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_PDocAccessibleConstructor(IPC::Message::routeid_t routingId);
mozilla::UniquePtr<IPC::Message>
Reply_PDocAccessibleConstructor(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_PPaymentRequestConstructor(IPC::Message::routeid_t routingId);
mozilla::UniquePtr<IPC::Message>
Reply_PPaymentRequestConstructor(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_PVsyncConstructor(IPC::Message::routeid_t routingId);
mozilla::UniquePtr<IPC::Message>
Reply_PVsyncConstructor(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_DidUnsuppressPainting(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_DidUnsuppressPaintingNormalPriority(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_MoveFocus(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_DropLinks(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_SyncMessage(IPC::Message::routeid_t routingId);
mozilla::UniquePtr<IPC::Message>
Reply_SyncMessage(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_NotifyIMEFocus(IPC::Message::routeid_t routingId);
mozilla::UniquePtr<IPC::Message>
Reply_NotifyIMEFocus(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_NotifyIMETextChange(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_NotifyIMECompositionUpdate(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_NotifyIMESelection(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_UpdateContentCache(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_NotifyIMEMouseButtonEvent(IPC::Message::routeid_t routingId);
mozilla::UniquePtr<IPC::Message>
Reply_NotifyIMEMouseButtonEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_NotifyIMEPositionChange(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_RequestIMEToCommitComposition(IPC::Message::routeid_t routingId);
mozilla::UniquePtr<IPC::Message>
Reply_RequestIMEToCommitComposition(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_OnEventNeedingAckHandled(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_RequestFocus(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_WheelZoomChange(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_EnableDisableCommands(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_GetInputContext(IPC::Message::routeid_t routingId);
mozilla::UniquePtr<IPC::Message>
Reply_GetInputContext(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_SetInputContext(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_SetCursor(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_SetLinkStatus(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_ShowTooltip(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_HideTooltip(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_PColorPickerConstructor(IPC::Message::routeid_t routingId);
mozilla::UniquePtr<IPC::Message>
Reply_PColorPickerConstructor(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_PFilePickerConstructor(IPC::Message::routeid_t routingId);
mozilla::UniquePtr<IPC::Message>
Reply_PFilePickerConstructor(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_RespondStartSwipeEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_LookUpDictionary(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg___delete__(IPC::Message::routeid_t routingId);
mozilla::UniquePtr<IPC::Message>
Reply___delete__(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_ReplyKeyEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_RequestNativeKeyBindings(IPC::Message::routeid_t routingId);
mozilla::UniquePtr<IPC::Message>
Reply_RequestNativeKeyBindings(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_SynthesizeNativeKeyEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_SynthesizeNativeMouseEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_SynthesizeNativeMouseMove(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_SynthesizeNativeMouseScrollEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_SynthesizeNativeTouchPoint(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_SynthesizeNativeTouchPadPinch(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_SynthesizeNativeTouchTap(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_ClearNativeTouchSequence(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_SynthesizeNativePenInput(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_SynthesizeNativeTouchpadDoubleTap(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_SynthesizeNativeTouchpadPan(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_LockNativePointer(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_UnlockNativePointer(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_AccessKeyNotHandled(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_RegisterProtocolHandler(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_OnStateChange(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_OnLocationChange(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_OnProgressChange(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_OnStatusChange(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_NotifyContentBlockingEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_NavigationFinished(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_IntrinsicSizeOrRatioChanged(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_ImageLoadComplete(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_RequestPointerCapture(IPC::Message::routeid_t routingId);
mozilla::UniquePtr<IPC::Message>
Reply_RequestPointerCapture(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_ReleasePointerCapture(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_RequestPointerLock(IPC::Message::routeid_t routingId);
mozilla::UniquePtr<IPC::Message>
Reply_RequestPointerLock(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_ReleasePointerLock(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_NativeSynthesisResponse(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_UpdateSHistory(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_CloneDocumentTreeIntoSelf(IPC::Message::routeid_t routingId);
mozilla::UniquePtr<IPC::Message>
Reply_CloneDocumentTreeIntoSelf(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_UpdateRemotePrintSettings(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_ReleaseAllPointerCapture(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_RemoteIsReadyToHandleInputEvents(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_UpdateEffects(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_SetDimensions(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_DispatchWheelEvent(IPC::Message::routeid_t routingId);
mozilla::UniquePtr<IPC::Message>
Reply_DispatchWheelEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_DispatchMouseEvent(IPC::Message::routeid_t routingId);
mozilla::UniquePtr<IPC::Message>
Reply_DispatchMouseEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_DispatchKeyboardEvent(IPC::Message::routeid_t routingId);
mozilla::UniquePtr<IPC::Message>
Reply_DispatchKeyboardEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_DispatchTouchEvent(IPC::Message::routeid_t routingId);
mozilla::UniquePtr<IPC::Message>
Reply_DispatchTouchEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_InvokeDragSession(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_EnsureLayersConnected(IPC::Message::routeid_t routingId);
mozilla::UniquePtr<IPC::Message>
Reply_EnsureLayersConnected(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_ShowCanvasPermissionPrompt(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_SetSystemFont(IPC::Message::routeid_t routingId);
mozilla::UniquePtr<IPC::Message>
Reply_SetSystemFont(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_GetSystemFont(IPC::Message::routeid_t routingId);
mozilla::UniquePtr<IPC::Message>
Reply_GetSystemFont(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_MaybeFireEmbedderLoadEvents(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_ScrollRectIntoView(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_ShowDynamicToolbar(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_Show(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_Activate(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_Deactivate(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_ScrollbarPreferenceChanged(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_InitRendering(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_CompositorOptionsChanged(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_LoadURL(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_CreateAboutBlankDocumentViewer(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_ResumeLoad(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_UpdateDimensions(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_SizeModeChanged(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_ChildToParentMatrix(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_UpdateRemoteStyle(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_DynamicToolbarMaxHeightChanged(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_DynamicToolbarOffsetChanged(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_KeyboardHeightChanged(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_AndroidPipModeChanged(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_StopIMEStateManagement(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_RealMouseMoveEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_NormalPriorityRealMouseMoveEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_RealMouseMoveEventForTests(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_NormalPriorityRealMouseMoveEventForTests(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_SynthMouseMoveEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_NormalPrioritySynthMouseMoveEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_RealMouseButtonEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_NormalPriorityRealMouseButtonEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_RealPointerButtonEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_NormalPriorityRealPointerButtonEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_RealMouseEnterExitWidgetEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_NormalPriorityRealMouseEnterExitWidgetEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_RealKeyEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_NormalPriorityRealKeyEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_MouseWheelEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_NormalPriorityMouseWheelEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_RealTouchEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_NormalPriorityRealTouchEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_HandleTap(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_NormalPriorityHandleTap(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_RealTouchMoveEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_NormalPriorityRealTouchMoveEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_RealTouchMoveEvent2(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_NormalPriorityRealTouchMoveEvent2(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_RealDragEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_CompositionEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_NormalPriorityCompositionEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_SelectionEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_NormalPrioritySelectionEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_SimpleContentCommandEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_NormalPrioritySimpleContentCommandEvent(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_InsertText(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_NormalPriorityInsertText(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_ReplaceText(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_NormalPriorityReplaceText(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_PasteTransferable(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_LoadRemoteScript(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_Destroy(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_RenderLayers(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_PreserveLayers(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_SuppressDisplayport(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_NavigateByKey(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_UIResolutionChanged(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_SafeAreaInsetsChanged(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_SwappedWithOtherRemoteLoader(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_HandleAccessKey(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_PrintPreview(IPC::Message::routeid_t routingId);
mozilla::UniquePtr<IPC::Message>
Reply_PrintPreview(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_ExitPrintPreview(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_Print(IPC::Message::routeid_t routingId);
mozilla::UniquePtr<IPC::Message>
Reply_Print(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_PrintClonedPage(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_DestroyPrintClone(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_UpdateNativeWindowHandle(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_AllowScriptsToClose(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_WillChangeProcess(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_InvokeChildDragSession(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_UpdateDragSession(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_EndDragSession(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_StoreDropTargetAndDelayEndDragSession(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_DispatchToDropTargetAndResumeEndDragSession(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_IsWindowSupportingProtectedMedia(IPC::Message::routeid_t routingId);
mozilla::UniquePtr<IPC::Message>
Reply_IsWindowSupportingProtectedMedia(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_IsWindowSupportingWebVR(IPC::Message::routeid_t routingId);
mozilla::UniquePtr<IPC::Message>
Reply_IsWindowSupportingWebVR(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_VisitURI(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_QueryVisitedState(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_PSessionStoreConstructor(IPC::Message::routeid_t routingId);
mozilla::UniquePtr<IPC::Message>
Reply_PSessionStoreConstructor(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_NewWindowGlobal(IPC::Message::routeid_t routingId);

mozilla::UniquePtr<IPC::Message>
Msg_UpdateDropEffect(IPC::Message::routeid_t routingId);



} // namespace PBrowser
} // namespace dom
} // namespace mozilla

#endif // ifndef PBrowser_h
